Bug 2153379 (CVE-2022-41881) - CVE-2022-41881 codec-haproxy: HAProxyMessageDecoder Stack Exhaustion DoS
Summary: CVE-2022-41881 codec-haproxy: HAProxyMessageDecoder Stack Exhaustion DoS
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-41881
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 2152729
TreeView+ depends on / blocked
 
Reported: 2022-12-14 13:45 UTC by Patrick Del Bello
Modified: 2023-08-14 01:02 UTC (History)
69 users (show)

Fixed In Version: codec-haproxy 4.1.86
Doc Type: ---
Doc Text:
A flaw was found in codec-haproxy from the Netty project. This flaw allows an attacker to build a malformed crafted message and cause infinite recursion, causing stack exhaustion and leading to a denial of service (DoS).
Clone Of:
Environment:
Last Closed: 2023-03-29 15:48:36 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2023:0577 0 None None None 2023-02-16 12:57:21 UTC
Red Hat Product Errata RHSA-2023:0713 0 None None None 2023-02-09 11:36:09 UTC
Red Hat Product Errata RHSA-2023:0758 0 None None None 2023-02-14 12:12:06 UTC
Red Hat Product Errata RHSA-2023:0888 0 None None None 2023-02-21 15:41:59 UTC
Red Hat Product Errata RHSA-2023:1512 0 None None None 2023-03-29 11:44:19 UTC
Red Hat Product Errata RHSA-2023:1513 0 None None None 2023-03-29 11:42:31 UTC
Red Hat Product Errata RHSA-2023:1514 0 None None None 2023-03-29 11:41:05 UTC
Red Hat Product Errata RHSA-2023:1516 0 None None None 2023-03-29 11:46:08 UTC
Red Hat Product Errata RHSA-2023:2100 0 None None None 2023-05-03 14:06:42 UTC
Red Hat Product Errata RHSA-2023:2705 0 None None None 2023-05-10 11:23:44 UTC
Red Hat Product Errata RHSA-2023:2706 0 None None None 2023-05-10 11:22:40 UTC
Red Hat Product Errata RHSA-2023:2707 0 None None None 2023-05-10 11:23:11 UTC
Red Hat Product Errata RHSA-2023:2710 0 None None None 2023-05-10 14:32:57 UTC
Red Hat Product Errata RHSA-2023:2713 0 None None None 2023-05-10 11:59:44 UTC
Red Hat Product Errata RHSA-2023:3373 0 None None None 2023-05-31 11:44:36 UTC
Red Hat Product Errata RHSA-2023:3374 0 None None None 2023-05-31 10:51:46 UTC
Red Hat Product Errata RHSA-2023:3954 0 None None None 2023-06-29 20:07:51 UTC
Red Hat Product Errata RHSA-2023:4627 0 None None None 2023-08-14 01:02:30 UTC

Description Patrick Del Bello 2022-12-14 13:45:17 UTC
Netty project is an event-driven asynchronous network application framework. In versions prior to 4.1.86.Final, a StackOverflowError can be raised when parsing a malformed crafted message due to an infinite recursion. This issue is patched in version 4.1.86.Final. There is no workaround, except using a custom HaProxyMessageDecoder.

https://github.com/netty/netty/security/advisories/GHSA-fx2c-96vj-985v

Comment 5 errata-xmlrpc 2023-02-09 11:36:06 UTC
This issue has been addressed in the following products:

  Red Hat Data Grid 8.4.1

Via RHSA-2023:0713 https://access.redhat.com/errata/RHSA-2023:0713

Comment 6 errata-xmlrpc 2023-02-14 12:12:03 UTC
This issue has been addressed in the following products:

  Red Hat build of Quarkus

Via RHSA-2023:0758 https://access.redhat.com/errata/RHSA-2023:0758

Comment 7 errata-xmlrpc 2023-02-16 12:57:18 UTC
This issue has been addressed in the following products:

  Red Hat build of Eclipse Vert.x 4.3.7

Via RHSA-2023:0577 https://access.redhat.com/errata/RHSA-2023:0577

Comment 8 errata-xmlrpc 2023-02-21 15:41:56 UTC
This issue has been addressed in the following products:

  CEQ 2.13.2-1

Via RHSA-2023:0888 https://access.redhat.com/errata/RHSA-2023:0888

Comment 9 errata-xmlrpc 2023-03-29 11:41:01 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.4 for RHEL 9

Via RHSA-2023:1514 https://access.redhat.com/errata/RHSA-2023:1514

Comment 10 errata-xmlrpc 2023-03-29 11:42:28 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.4 for RHEL 8

Via RHSA-2023:1513 https://access.redhat.com/errata/RHSA-2023:1513

Comment 11 errata-xmlrpc 2023-03-29 11:44:15 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.4 on RHEL 7

Via RHSA-2023:1512 https://access.redhat.com/errata/RHSA-2023:1512

Comment 12 errata-xmlrpc 2023-03-29 11:46:04 UTC
This issue has been addressed in the following products:

  EAP 7.4.10 release

Via RHSA-2023:1516 https://access.redhat.com/errata/RHSA-2023:1516

Comment 13 Product Security DevOps Team 2023-03-29 15:48:31 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-41881

Comment 14 errata-xmlrpc 2023-05-03 14:06:38 UTC
This issue has been addressed in the following products:

  RHINT Camel-Springboot 3.20.1

Via RHSA-2023:2100 https://access.redhat.com/errata/RHSA-2023:2100

Comment 15 errata-xmlrpc 2023-05-10 11:22:37 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.6 for RHEL 8

Via RHSA-2023:2706 https://access.redhat.com/errata/RHSA-2023:2706

Comment 16 errata-xmlrpc 2023-05-10 11:23:08 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.6 for RHEL 9

Via RHSA-2023:2707 https://access.redhat.com/errata/RHSA-2023:2707

Comment 17 errata-xmlrpc 2023-05-10 11:23:40 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.6 for RHEL 7

Via RHSA-2023:2705 https://access.redhat.com/errata/RHSA-2023:2705

Comment 18 errata-xmlrpc 2023-05-10 11:59:41 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On

Via RHSA-2023:2713 https://access.redhat.com/errata/RHSA-2023:2713

Comment 19 errata-xmlrpc 2023-05-10 14:32:53 UTC
This issue has been addressed in the following products:

  RHEL-8 based Middleware Containers

Via RHSA-2023:2710 https://access.redhat.com/errata/RHSA-2023:2710

Comment 20 errata-xmlrpc 2023-05-31 10:51:42 UTC
This issue has been addressed in the following products:

  Migration Toolkit for Runtimes 1 on RHEL 8

Via RHSA-2023:3374 https://access.redhat.com/errata/RHSA-2023:3374

Comment 21 errata-xmlrpc 2023-05-31 11:44:32 UTC
This issue has been addressed in the following products:

  Migration Toolkit for Runtimes 1 on RHEL 8

Via RHSA-2023:3373 https://access.redhat.com/errata/RHSA-2023:3373

Comment 22 errata-xmlrpc 2023-06-29 20:07:47 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.12

Via RHSA-2023:3954 https://access.redhat.com/errata/RHSA-2023:3954

Comment 27 errata-xmlrpc 2023-08-14 01:02:26 UTC
This issue has been addressed in the following products:

  MTA-6.2-RHEL-9
  MTA-6.2-RHEL-8

Via RHSA-2023:4627 https://access.redhat.com/errata/RHSA-2023:4627


Note You need to log in before you can comment on or make changes to this bug.